changeset 455:0567af952cfa prerelease

merge
author Giulio Moro <giuliomoro@yahoo.it>
date Sun, 19 Jun 2016 23:31:25 +0100
parents 7f9032f43f41 (diff) 1d66b4e8ced9 (current diff)
children aa3f38d8a9b6
files Makefile scripts/update_board
diffstat 4 files changed, 27 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/Makefile	Sun Jun 19 23:20:34 2016 +0100
+++ b/Makefile	Sun Jun 19 23:31:25 2016 +0100
@@ -154,7 +154,7 @@
 # syntax = check syntax
 syntax: ## Only checks syntax
 syntax: SYNTAX_FLAG := -fsyntax-only
-syntax: SYNTAX
+syntax: Bela
 
 # Rule for Bela core C++ files
 build/core/%.o: ./core/%.cpp
@@ -208,9 +208,6 @@
 	@echo ' ...done'
 	
 # Other Targets:
-# This rule compiles c and c++ source files without output or linking
-SYNTAX: $(C_OBJS) $(CPP_OBJS)
-
 projectclean:## Remove the PROJECT's build objects & binary
 	-$(RM) $(PROJECT_DIR)/build/* $(OUTPUT_FILE)
 	-@echo ' '	
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/examples/core/link_core.sh	Sun Jun 19 23:31:25 2016 +0100
@@ -0,0 +1,2 @@
+ln -s /root/Bela/core/ /root/Bela/examples/core/source
+ln -s /root/Bela/include/ /root/Bela/examples/core/include
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/examples/core/render.cpp	Sun Jun 19 23:31:25 2016 +0100
@@ -0,0 +1,16 @@
+#include <Bela.h>
+
+bool setup(BelaContext *context, void *userData)
+{
+	return true;
+}
+
+void render(BelaContext *context, void *userData)
+{
+
+}
+
+void cleanup(BelaContext *context, void *userData)
+{
+
+}
\ No newline at end of file
--- a/scripts/update_board	Sun Jun 19 23:20:34 2016 +0100
+++ b/scripts/update_board	Sun Jun 19 23:31:25 2016 +0100
@@ -170,6 +170,14 @@
   error_handler $? "\nError while generating Doxygen documentation\n"
 fi
 
+printf "Building example projects..."
+ssh $BBB_ADDRESS "sh $BBB_BELA_HOME/examples/core/link_core.sh"
+error_handler $? "\nError while building example projects\n"
+
+printf "Cleaning build environment..."
+ssh $BBB_ADDRESS "make -C $BBB_BELA_HOME --no-print-directory coreclean"
+error_handler $? "\nError cleaning core\n"
+
 #-------------
 #Installing IDE
 [ $ALWAYS_YES -eq 0 ] && ALWAYS_YES_FLAG= || ALWAYS_YES_FLAG="-y"